[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGList.Items

Indexed access to items in the list

## Declaration

Source position: fgl.pp line 160

`public property TFPGList.Items[Index: Integer] : T read Get write Put; default;`

## Description

Items provides indexed access to the items in the list. The items can be get or set.

The index Index is zero based, and has a maximum value of Count-1.

## Errors

If an invalid index is used, an EListError exception is raised.

## See also

TFPSList.Count |  | Current element count